Pterodactyldocs
Application A P I

Get server database

Returns a single database attached to a server.

GET/api/application/servers/{server_id}/databases/{database_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_id*integer

The server ID.

database_id*string

The database ID.

Query Parameters

include?string

Comma-separated relationships to include. Supports "password" and "host" when the key can read database hosts.

Value in

  • "password"
  • "host"
  • "password,host"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/application/servers/1/databases/Lk3jx4pQ?include=password%2Chost"
{  "object": "server_database",  "attributes": {    "id": 1253,    "server": 8114,    "host": 1544,    "database": "1E8CdMJTdo",    "username": "eEAKifNuaL",    "remote": "%",    "max_connections": 0,    "created_at": "2026-09-22T14:45:23+00:00",    "updated_at": "2026-09-22T14:45:23+00:00"  },  "meta": {    "resource": "https://panel.example.test/api/application/servers/1/databases/1"  }}